Bug 901213 - firefox fails to build on ppc64
firefox fails to build on ppc64
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Firefox
201410*
PowerPC-64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: Wolfgang Rosenauer
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-14 23:33 UTC by Dinar Valeev
Modified: 2020-04-05 18:18 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dinar Valeev 2014-10-14 23:33:30 UTC
Firefox fails to build on ppc64 and ppc64le:

[ 7865s] elfhack
[ 7865s] /home/abuild/rpmbuild/BUILD/obj/_virtualenv/bin/python /home/abuild/rpmbuild/BUILD/mozilla/config/expandlibs_exec.py --depend .deps/elfhack.pp --target elfhack -- c++ -o elfhack -fmessage-length=0 -grecord-gcc-switches -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables -g -Os -fno-strict-aliasing -mminimal-toc -std=gnu++0x -MD -MP -MF .deps/elfhack.pp  host_elf.o host_elfhack.o  ../../../build/unix/stdc++compat/libhost_stdc++compat.a
[ 7865s] c++  -Wall -Wpointer-arith -Woverloaded-virtual -Werror=return-type -Werror=int-to-pointer-cast -Wtype-limits -Wempty-body -Wsign-compare -Wno-invalid-offsetof -Wcast-align -fmessage-length=0 -grecord-gcc-switches -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables -g -Os -fno-strict-aliasing -mminimal-toc -fno-strict-aliasing -fno-rtti -ffunction-sections -fdata-sections -fno-math-errno -std=gnu++0x -pthread -pipe -fexceptions  -DNDEBUG -DTRIMMED -g -Os -freorder-blocks  -fomit-frame-pointer -fPIC -shared -Wl,-z,defs -Wl,--gc-sections -Wl,-h,test-array.so -o test-array.so -lpthread  -Wl,-z,noexecstack -Wl,-z,text -Wl,--build-id -Wl,-z,norelro    -Wl,-rpath-link,/home/abuild/rpmbuild/BUILD/obj/dist/bin -Wl,-rpath-link,/usr/lib  test-array.o -nostartfiles
[ 7865s] ===
[ 7865s] === If you get failures below, please file a bug describing the error
[ 7865s] === and your environment (compiler and linker versions), and use
[ 7865s] === --disable-elf-hack until this is fixed.
[ 7865s] ===
[ 7865s] # Fail if the library doesn't have INIT_ARRAY .dynamic info
[ 7865s] readelf -d test-array.so | grep '(INIT_ARRAY)'
[ 7865s]  0x0000000000000019 (INIT_ARRAY)         0x17530
[ 7865s] /home/abuild/rpmbuild/BUILD/obj/build/unix/elfhack/elfhack -b -f test-array.so
[ 7865s] test-array.so: # Fail if the backup file doesn't exist
[ 7865s] [ -f 'test-array.so.bak' ]
[ 7865s] Makefile:22: recipe for target 'test-array.so' failed
Comment 1 Wolfgang Rosenauer 2014-10-15 10:15:23 UTC
What about ppc? It seems to fail the same way:
https://build.opensuse.org/package/live_build_log/mozilla:Factory/MozillaFirefox/openSUSE_Factory_PowerPC/ppc

I've removed the enable-elf-hack now for ppc64 and ppc64le because of this bugreport but wondering if I should do the same with ppc?
Comment 2 Dinar Valeev 2014-10-15 12:29:25 UTC
Yeah. Same applies for ppc
Comment 3 Wolfgang Rosenauer 2014-10-15 17:29:57 UTC
Submitted to Factory. Am I expected to do anything else? (Looking at the whiteboard information)
Comment 4 Swamp Workflow Management 2014-11-02 12:05:56 UTC
openSUSE-SU-2014:1344-1: An update that fixes 13 vulnerabilities is now available.

Category: security (moderate)
Bug References: 894370,896624,897890,900941,901213
CVE References: CVE-2014-1554,CVE-2014-1574,CVE-2014-1575,CVE-2014-1576,CVE-2014-1577,CVE-2014-1578,CVE-2014-1580,CVE-2014-1581,CVE-2014-1582,CVE-2014-1583,CVE-2014-1584,CVE-2014-1585,CVE-2014-1586
Sources used:
openSUSE 12.3 (src):    MozillaFirefox-33.0-1.90.1, mozilla-nspr-4.10.7-1.34.1, mozilla-nss-3.17.1-1.59.1, seamonkey-2.30-1.61.1
Comment 5 Swamp Workflow Management 2014-11-02 12:06:56 UTC
openSUSE-SU-2014:1345-1: An update that fixes 13 vulnerabilities is now available.

Category: security (moderate)
Bug References: 894370,896624,897890,900941,901213
CVE References: CVE-2014-1554,CVE-2014-1574,CVE-2014-1575,CVE-2014-1576,CVE-2014-1577,CVE-2014-1578,CVE-2014-1580,CVE-2014-1581,CVE-2014-1582,CVE-2014-1583,CVE-2014-1584,CVE-2014-1585,CVE-2014-1586
Sources used:
openSUSE 13.1 (src):    MozillaFirefox-33.0-46.2, mozilla-nspr-4.10.7-16.1, mozilla-nss-3.17.1-43.1, seamonkey-2.30-36.2
Comment 6 Dinar Valeev 2016-04-11 15:22:41 UTC
fixed